この文章は Salesforce 機械翻訳システムを使用して翻訳されました。詳細はこちらをご参照ください。
英語に切り替える

関連項目の表示

関連レコードのリストを取得するには、Relevant Items リソースを使用します。
現在のユーザの最も関連性の高いレコードリストを取得する場合の使用例
1curl https://MyDomainName.my.salesforce.com/services/data/v58.0/sobjects/relevantItems -H "Authorization: Bearer token"
リクエストボディの例
不要
レスポンスボディの例
1[ {
2    "apiName" : "Contact",
3    "key" : "003",
4    "label" : "Contacts",
5    "lastUpdatedId" : "135866748",
6    "recordIds" : [ "003xx000004TxBA" ]
7}, {   "apiName" : "Account",
8    "key" : "001",
9    "label" : "Accounts",
10    "lastUpdatedId" : "193640553",
11    "recordIds" : [ "001xx000003DWsT" ]
12}, {
13    "apiName" : "User",
14    "key" : "005",
15    "label" : "Users",
16    "lastUpdatedId" : "-199920321",
17    "recordIds" : [ "005xx000001Svqw", "005xx000001SvwK", "005xx000001SvwA" ]
18}, {  "apiName" : "Case",
19    "key" : "069",
20    "label" : "Cases",
21    "lastUpdatedId" : "1033471693",
22    "recordIds" : [ "069xx0000000006", "069xx0000000001", "069xx0000000002" ]
23} ]
特定のオブジェクトへの応答を絞り込む場合の使用例
1curl https://MyDomainName.my.salesforce.com/services/data/v58.0/sobjects/relevantItems?sobjects=Account,User -H "Authorization: Bearer token"
リクエストボディの例
不要
レスポンスボディの例
1[ {
2    "apiName" : "Account",
3    "key" : "001",
4    "label" : "Accounts",
5    "lastUpdatedId" : "193640553",
6    "recordIds" : [ "001xx000003DWsT" ]
7}, {
8  "apiName" : "User",
9    "key" : "005",
10    "label" : "Users",
11    "lastUpdatedId" : "102959935",
12    "recordIds" : [ "005xx000001Svqw", "005xx000001SvwK", "005xx000001SvwA" ]
13} ]
ユーザの現在の関連レコードリストを以前のバージョンと比較する場合の使用例
1curl https://MyDomainName.my.salesforce.com/services/data/v58.0/sobjects/relevantItems?lastUpdatedId=102959935 -H "Authorization: Bearer token"
リクエストボディの例
不要
応答ヘッダーの例
1lastUpdatedId: 102959935
2newResultSetSinceLastQuery: true
レスポンスボディの例
1[ {
2    "apiName" : "User",
3    "key" : "003",
4    "label" : "Users",
5    "lastUpdatedId" : "102959935",
6    "recordIds" : [ "003xx000004TxBA" ]
7}, {
8    "apiName" : "Account",
9    "key" : "001",
10    "label" : "Accounts",
11    "lastUpdatedId" : "193640553",
12    "recordIds" : [ "001xx000003DWsT" ]
13}, {
14    "apiName" : "Case",
15    "key" : "005",
16    "label" : "Cases",
17  "lastUpdatedId" : "1740766611",
18    "recordIds" : [ "005xx000001Svqw", "005xx000001SvwA" ]
19} ]
特定のオブジェクトでユーザの現在の関連レコードリストを以前のバージョンと比較する場合の使用例
1curl https://MyDomainName.my.salesforce.com/services/data/v58.0/sobjects/relevantItems?mode=MRU&sobjects=Account,Contact&Account.lastUpdatedId=102959935 -H "Authorization: Bearer token"
リクエストボディの例
不要
レスポンスボディの例
1[ {
2    "apiName" : "Account",
3    "key" : "001",
4    "label" : "Accounts",
5    "lastUpdatedId" : "193640553",
6    "recordIds" : [ "001xx000003DWsT" ]
7} ]